as.SpatialPolygons.PolygonsList {sp} | R Documentation

## Making SpatialPolygons objects

### Description

This function is used in making SpatialPolygons objects from other formats.

### Usage

    as.SpatialPolygons.PolygonsList(Srl, proj4string=CRS(as.character(NA)))

### Arguments

`Srl` | A list of Polygons objects

`proj4string` | Object of class `"CRS"`; holding a valid proj4 string

### Value

The functions return a SpatialPolygons object

### Author(s)

Roger Bivand

### Examples

    grd <- GridTopology(c(1,1), c(1,1), c(10,10))
    polys <- as.SpatialPolygons.GridTopology(grd)
    plot(polys)
    text(coordinates(polys), labels=sapply(slot(polys, "polygons"), function(i) slot(i, "ID")), cex=0.6)

[Package sp version 1.2-5 Index]